PDA

View Full Version : ufo2000 on MacOsX




Daij-Djan
Oct 5, 2004, 01:14 PM
From: Dominik@pich.info
Subject: ufo2000 on MacOS X
Date: October 5, 2004 7:36:12 PM CEST
To: ufo2000@lxnt.info

I try to make ufo2000 compatible to osx....
I try using the following and ufo 0.4.0.353 (Should I use different versions? Newer CVS? )

-= allegro 4.1.15 =-
download sources
run fix.sh to make them unix compatible
make
make install
?make install-framework

-= lua 5.0.3 =-
download sources
make
make install

-= expat 1.95.8 =-
download sources
make
make install

-= HawkNL 1.68+ =-
download sources
make with makefile.osx
make install with makefile.osx
?compile HawkNL 1.68+ with xCode again
?1.7 beta 1 doesn't compile

NOW I compiled ufo 0.4.0.353 to a point where I got this error:
hrowing the following error.

ld: multiple definitions of symbol _NXArgc
/usr/lib/crt1.o definition of _NXArgc in section (__DATA,__data)
/usr/lib/libNL.dylib definition of _NXArgc in section (__DATA,__data)
ld: multiple definitions of symbol _NXArgv
/usr/lib/crt1.o definition of _NXArgv in section (__DATA,__data)
/usr/lib/libNL.dylib definition of _NXArgv in section (__DATA,__data)
ld: multiple definitions of symbol ___darwin_gcc3_preregister_frame_info
/usr/lib/gcc/darwin/3.3/crt2.o definition of ___darwin_gcc3_preregister_frame_info in section (__TEXT,__text)
/usr/lib/libNL.dylib definition of ___darwin_gcc3_preregister_frame_info in section (__TEXT,__text)
ld: multiple definitions of symbol ___progname
/usr/lib/crt1.o definition of ___progname in section (__DATA,__data)
/usr/lib/libNL.dylib definition of ___progname in section (__DATA,__data)
ld: multiple definitions of symbol _environ
/usr/lib/crt1.o definition of _environ in section (__DATA,__data)
/usr/lib/libNL.dylib definition of _environ in section (__DATA,__data)
ld: multiple definitions of symbol start
/usr/lib/crt1.o definition of start in section (__TEXT,__text)
/usr/lib/libNL.dylib definition of start in section (__TEXT,__text)
make: *** [ufo2000] Error 1

Any clues?
Thanks,
Dominik



jonck
Sep 25, 2005, 10:37 AM
From: Dominik@pich.info
Subject: ufo2000 on MacOS X
Date: October 5, 2004 7:36:12 PM CEST
To: ufo2000@lxnt.info

I try to make ufo2000 compatible to osx....
I try using the following and ufo 0.4.0.353 (Should I use different versions? Newer CVS? )

-= allegro 4.1.15 =-
download sources
run fix.sh to make them unix compatible
make
make install
?make install-framework

-= lua 5.0.3 =-
download sources
make
make install

-= expat 1.95.8 =-
download sources
make
make install

-= HawkNL 1.68+ =-
download sources
make with makefile.osx
make install with makefile.osx
?compile HawkNL 1.68+ with xCode again
?1.7 beta 1 doesn't compile

NOW I compiled ufo 0.4.0.353 to a point where I got this error:
hrowing the following error.

ld: multiple definitions of symbol _NXArgc
/usr/lib/crt1.o definition of _NXArgc in section (__DATA,__data)
/usr/lib/libNL.dylib definition of _NXArgc in section (__DATA,__data)
ld: multiple definitions of symbol _NXArgv
/usr/lib/crt1.o definition of _NXArgv in section (__DATA,__data)
/usr/lib/libNL.dylib definition of _NXArgv in section (__DATA,__data)
ld: multiple definitions of symbol ___darwin_gcc3_preregister_frame_info
/usr/lib/gcc/darwin/3.3/crt2.o definition of ___darwin_gcc3_preregister_frame_info in section (__TEXT,__text)
/usr/lib/libNL.dylib definition of ___darwin_gcc3_preregister_frame_info in section (__TEXT,__text)
ld: multiple definitions of symbol ___progname
/usr/lib/crt1.o definition of ___progname in section (__DATA,__data)
/usr/lib/libNL.dylib definition of ___progname in section (__DATA,__data)
ld: multiple definitions of symbol _environ
/usr/lib/crt1.o definition of _environ in section (__DATA,__data)
/usr/lib/libNL.dylib definition of _environ in section (__DATA,__data)
ld: multiple definitions of symbol start
/usr/lib/crt1.o definition of start in section (__TEXT,__text)
/usr/lib/libNL.dylib definition of start in section (__TEXT,__text)
make: *** [ufo2000] Error 1

Any clues?
Thanks,
Dominik

Yep, I'm getting exactly the same errors, the problem lies with HawkNL. For a discussion about it, see
http://www.xcomufo.com/forums/index.php?showtopic=8571

Daij-Djan
Sep 25, 2005, 12:25 PM
Yep, I'm getting exactly the same errors, the problem lies with HawkNL. For a discussion about it, see
http://www.xcomufo.com/forums/index.php?showtopic=8571
Actually, I resolved those some time ago and got ufo to run under panther. Not under tiger though...